org.springframework.cloud.dataflow.server.db.migration

## Class AbstractMigrateUriRegistrySqlCommand.AppRegistrationMigrationData

- java.lang.Object
- - org.springframework.cloud.dataflow.server.db.migration.AbstractMigrateUriRegistrySqlCommand.AppRegistrationMigrationData

- Enclosing class:
    AbstractMigrateUriRegistrySqlCommand

      protected static class AbstractMigrateUriRegistrySqlCommand.AppRegistrationMigrationData
      extends Object

  Raw migration data from uri registry into app registration.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AppRegistrationMigrationData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMetadataUri()`
    `String` | `getName()`
    `int` | `getType()`
    `String` | `getUri()`
    `String` | `getVersion()`
    `boolean` | `isDefaultVersion()`
    `void` | `setDefaultVersion(boolean defaultVersion)`
    `void` | `setMetadataUri(String metadataUri)`
    `void` | `setName(String name)`
    `void` | `setType(int type)`
    `void` | `setUri(String uri)`
    `void` | `setVersion(String version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppRegistrationMigrationData

          protected AppRegistrationMigrationData()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getVersion

          public String getVersion()

    - #### setVersion

          public void setVersion(String version)

    - #### getUri

          public String getUri()

    - #### setUri

          public void setUri(String uri)

    - #### getMetadataUri

          public String getMetadataUri()

    - #### setMetadataUri

          public void setMetadataUri(String metadataUri)

    - #### isDefaultVersion

          public boolean isDefaultVersion()

    - #### setDefaultVersion

          public void setDefaultVersion(boolean defaultVersion)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.